JavaScript
import Avido from 'avido';
const client = new Avido({
apiKey: process.env['AVIDO_API_KEY'], // This is the default and can be omitted
applicationID: process.env['AVIDO_APPLICATION_ID'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const styleGuide of client.styleGuides.list()) {
console.log(styleGuide.id);
}import os
from avido import Avido
client = Avido(
api_key=os.environ.get("AVIDO_API_KEY"), # This is the default and can be omitted
application_id=os.environ.get("AVIDO_APPLICATION_ID"), # This is the default and can be omitted
)
page = client.style_guides.list()
page = page.data[0]
print(page.id)curl --request GET \
--url https://api.avidoai.com/v0/style-guides \
--header 'x-api-key: <api-key>' \
--header 'x-application-id: <api-key>'
{
"data": [],
"pagination": {
"skip": 0,
"limit": 25,
"total": 0,
"totalPages": 0
}
}Style Guides
List style guides
Retrieves a paginated list of style guides with optional filtering.
GET
/
v0
/
style-guides
JavaScript
import Avido from 'avido';
const client = new Avido({
apiKey: process.env['AVIDO_API_KEY'], // This is the default and can be omitted
applicationID: process.env['AVIDO_APPLICATION_ID'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const styleGuide of client.styleGuides.list()) {
console.log(styleGuide.id);
}import os
from avido import Avido
client = Avido(
api_key=os.environ.get("AVIDO_API_KEY"), # This is the default and can be omitted
application_id=os.environ.get("AVIDO_APPLICATION_ID"), # This is the default and can be omitted
)
page = client.style_guides.list()
page = page.data[0]
print(page.id)Authorizations
Your unique Avido API key
Your unique Avido Application ID
Query Parameters
Number of items to skip before starting to collect the result set.
Required range:
0 <= x <= 9007199254740991Example:
0
Number of items to include in the result set.
Required range:
1 <= x <= 100Example:
25
Field to order the result set by.
Available options:
createdAt, modifiedAt, id Example:
"createdAt"
Order direction.
Available options:
asc, desc Example:
"desc"
Restrict the result to style guides linked to the given quickstart (via StyleGuideQuickstart).
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Example:
"123e4567-e89b-12d3-a456-426614174000"